{% extends 'base.html.twig' %}

{% block title %}Profil{% endblock %}

{% block body %}
<main class="container py-4 mt-0 shadow-lg md:mt-12">
  {{ form_start(form) }}
  <div class="grid items-center grid-cols-1 gap-8 my-8 md:grid-cols-3">
    <div class="col-span-2 md:col-span-3">
      {{ form_label(form.address) }}
      {{ form_widget(form.address) }}
      <div class="form-error">
        {{ form_errors(form.address) }}
      </div>
    </div>

    <div class="col-span-2">
      <div class="flex items-center">
        {{ form_widget(form.haveTeeShirt) }}
        {{ form_label(form.haveTeeShirt) }}
      </div>
      <div class="form-error">
        {{ form_errors(form.haveTeeShirt) }}
      </div>
    </div>

    <div class="hidden col-span-2" id="select-size-tshirt">
      {{ form_label(form.sizeTeeShirt) }}
      {{ form_widget(form.sizeTeeShirt) }}
      <div class="form-error">
        {{ form_errors(form.sizeTeeShirt) }}
      </div>
    </div>

    {{ form_rest(form) }}
  </div>

  <div class="flex flex-col md:flex-row">
    <button class="w-full mb-4 md:w-auto btn-info md:mb-0">{{ button_label|default('Sauvegarder') }}</button>
    <a href="{{ path('homepage') }}" class="md:ml-4 btn-danger">Annuler</a>
  </div>
  {{ form_end(form) }}


</main>
{% endblock %}
